Description

Supportanfrage

Gibt es fur ADTF3 einen Filter, der Daten/Streams aus einem DAT-File in ein ,Textfile” (TXT, CSV, ASC, ...) exportieren kann?
Far ADTF2 gab es einen DAT-zu-ASC-Konverter soweit ich weif3.
Lésung

Das kannst du auch auBBerhalb von ADTF machen, und zwar mittels der ADTF File Library (IFHD).

Diese Open Source Basis Bibliothek bietet die Grundlage fiir den Player und Recorder und schafft Méglichkeiten, eigenes Tooling
zur Bearbeitung von (adtf)dat Files zu erstellen.

In dieser Library findest du auch ein DAT Tool zum import/export und weiterer Funktionalitat.

Ebenso ist darin ein Processing Library zum erstellen sogenannten Reader und Processor.

Ebenso ein Bsp. zum csv Export.

Weitere Exporter findest du in ADTF, den Toolboxen sowie in unser Community und den Guides

Einen Einstieg zum Tool findest du hier:

e https://support.digitalwerk.net/adtf/v3/guides/tools_3rdparty_adtf dattool.html

Die Library ist sowohl standalone verfligbar, kommt aber auch mit jedem ADTF Package:

e https://support.digitalwerk.net/projects/download-center/wiki/Overview _of Products_and_Documentation

Hier findest du ebenso die DAT GUI Tools, die eine erste Entwicklung on top sind betreffend Export und Inspizieren.

History

#1 - 2021-06-10 17:09 - hidden

- Project changed from Public Support to 30

- Status changed from New to Customer Feedback Required
- Customer set to CARIAD

- Topic set to FileLibrary::DatTool

Hallo Tony,

das kannst du auch auBerhalb von ADTF machen, und zwar mittels der ADTF File Library (IFHD).

Diese Open Source Basis Bibliothek bietet die Grundlage fiir den Player und Recorder und schafft Méglichkeiten, eigenes Tooling zur Bearbeitung
von (adtf)dat Files zu erstellen.

In dieser Library findest du auch ein DAT Tool zum import/export und weiterer Funktionalitét.

Ebenso ist darin ein Processing Library zum erstellen sogenannten Reader und Processor.

Ebenso ein Bsp. zum csv Export.

Weitere Exporter findest du in ADTF, den Toolboxen sowie in unser Community und den Guides
https://git.digitalwerk.net/adtf3_open_source/adtffileplugins
https://support.digitalwerk.net/adtf/v3/guides/tutorial_dat_tool_processor.html
https://support.digitalwerk.net/adtf/v3/guides/tools_3rdparty_adtf_dattool.html
https://support.digitalwerk.net/projects/download-center/wiki/Overview_of_Products_and_Documentation
https://git.digitalwerk.net/adtf3_open_source/adtffileplugins
https://support.digitalwerk.net/adtf/v3/guides/tutorial_dat_tool_processor.html

Einen Einstieg zum Tool findest du hier:

e https://support.digitalwerk.net/adtf/v3/guides/tools_3rdparty adtf dattool.html

Die Library ist sowohl standalone verfligbar, kommt aber auch mit jedem ADTF Package:

e https://support.digitalwerk.net/projects/download-center/wiki/Overview_of Products and_Documentation

Hier findest du ebenso die DAT GUI Tools, die eine erste Entwicklung on top sind betreffend Export und Inspizieren.

#2 - 2021-06-15 08:08 - hidden

- Description updated

#3 - 2021-06-17 06:58 - hidden

Hallo Tony,
bendtigst du hier noch weitere Unterstiitzung? Ansonsten wiirden wir das Ticket schlieBen.

GriiBe
Margarete

#4 - 2021-06-18 08:27 - hidden

- Project changed from 30 to Public Support

- Subject changed from Daten-Export-Filter fir ADTF3 to Export data from (adtf)dat files in ADTF 3.x
- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to No Customer Feedback

#5 - 2021-06-21 12:50 - hidden

Hi,

Ticket kann geschlossen werden, die Informationen reichen mir erstmal.
MfG Tony

#6 - 2021-06-28 10:19 - hidden
- Description updated

#7 - 2022-01-17 08:17 - hidden
- Status changed from To Be Closed to Closed
